com.hazelcast.security.permission

## Class ActionConstants

- java.lang.Object
- - com.hazelcast.security.permission.ActionConstants

-     public final class ActionConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_ACQUIRE`
    `static String` | `ACTION_ADD`
    `static String` | `ACTION_AGGREGATE`
    `static String` | `ACTION_ALL`
    `static String` | `ACTION_CREATE`
    `static String` | `ACTION_DESTROY`
    `static String` | `ACTION_INDEX`
    `static String` | `ACTION_INTERCEPT`
    `static String` | `ACTION_LISTEN`
    `static String` | `ACTION_LOCK`
    `static String` | `ACTION_MODIFY`
    `static String` | `ACTION_PROJECTION`
    `static String` | `ACTION_PUBLISH`
    `static String` | `ACTION_PUT`
    `static String` | `ACTION_READ`
    `static String` | `ACTION_RELEASE`
    `static String` | `ACTION_REMOVE`
    `static String` | `ACTION_USER_CODE_DEPLOY`
    `static String` | `LISTENER_INSTANCE`
    `static String` | `LISTENER_MEMBER`
    `static String` | `LISTENER_MIGRATION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Permission` | `getPermission(String name, String serviceName, String... actions)` Creates a permission

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_ALL

          public static final String ACTION_ALL

      See Also:
        Constant Field Values

    - #### ACTION_CREATE

          public static final String ACTION_CREATE

      See Also:
        Constant Field Values

    - #### ACTION_DESTROY

          public static final String ACTION_DESTROY

      See Also:
        Constant Field Values

    - #### ACTION_MODIFY

          public static final String ACTION_MODIFY

      See Also:
        Constant Field Values

    - #### ACTION_READ

          public static final String ACTION_READ

      See Also:
        Constant Field Values

    - #### ACTION_REMOVE

          public static final String ACTION_REMOVE

      See Also:
        Constant Field Values

    - #### ACTION_LOCK

          public static final String ACTION_LOCK

      See Also:
        Constant Field Values

    - #### ACTION_LISTEN

          public static final String ACTION_LISTEN

      See Also:
        Constant Field Values

    - #### ACTION_RELEASE

          public static final String ACTION_RELEASE

      See Also:
        Constant Field Values

    - #### ACTION_ACQUIRE

          public static final String ACTION_ACQUIRE

      See Also:
        Constant Field Values

    - #### ACTION_PUT

          public static final String ACTION_PUT

      See Also:
        Constant Field Values

    - #### ACTION_ADD

          public static final String ACTION_ADD

      See Also:
        Constant Field Values

    - #### ACTION_INDEX

          public static final String ACTION_INDEX

      See Also:
        Constant Field Values

    - #### ACTION_INTERCEPT

          public static final String ACTION_INTERCEPT

      See Also:
        Constant Field Values

    - #### ACTION_PUBLISH

          public static final String ACTION_PUBLISH

      See Also:
        Constant Field Values

    - #### ACTION_AGGREGATE

          public static final String ACTION_AGGREGATE

      See Also:
        Constant Field Values

    - #### ACTION_PROJECTION

          public static final String ACTION_PROJECTION

      See Also:
        Constant Field Values

    - #### ACTION_USER_CODE_DEPLOY

          public static final String ACTION_USER_CODE_DEPLOY

      See Also:
        Constant Field Values

    - #### LISTENER_INSTANCE

          public static final String LISTENER_INSTANCE

      See Also:
        Constant Field Values

    - #### LISTENER_MEMBER

          public static final String LISTENER_MEMBER

      See Also:
        Constant Field Values

    - #### LISTENER_MIGRATION

          public static final String LISTENER_MIGRATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPermission

          public static Permission getPermission(String name,
                                                 String serviceName,
                                                 String... actions)

      Creates a permission
      Parameters:
        `name` -
        `serviceName` -
        `actions` -
      Returns:
        the created Permission
      Throws:
        `IllegalArgumentException` - if there is no service found with the given serviceName.

Copyright © 2018. All rights reserved.